export default self;
declare const self: IntersectionWatcher;
declare class IntersectionWatcher {
    asyncStage: any[];
    threshold: number[];
    prevRatio: number;
    root: null;
    observer: null;
    readList: Map<any, any>;
    reportThrottle: {
        timeout: number;
        timer: null;
    };
    initObserver(root: any): false | undefined;
    resetObserve(): void;
    addObserve(element: any, chatId: any): void;
    handleResponseOb(entries: any, observer: any): void;
    handleReportRead(mid: any, chatId: any): void;
    reportThrottleHandler(): void;
    report(): void;
    reportedCollection(chatId: any, ls: any): void;
    clearCache(): void;
}
